Meta Catalogs
Meta catalogs
PUT/api/channels/{channelId}/meta-catalog
Required scope: meta_catalog.write
| Parameter | In | Required |
|---|---|---|
channelId | path | yes |
Request body
| Field | Type | Required | Constraints |
|---|---|---|---|
catalogId | string | yes | min 1, max 128 |
confirmReplace | boolean | no | — |
bash
curl -X PUT "https://api.zapyflow.com.br/api/channels/{channelId}/meta-catalog" \
-H "Authorization: Bearer $ZAPYFLOW_API_KEY" \
-H "Content-Type: application/json" \
-d '{ ... }'Responses
200— OK
DELETE/api/channels/{channelId}/meta-catalog
Required scope: meta_catalog.write
| Parameter | In | Required |
|---|---|---|
channelId | path | yes |
bash
curl -X DELETE "https://api.zapyflow.com.br/api/channels/{channelId}/meta-catalog" \
-H "Authorization: Bearer $ZAPYFLOW_API_KEY"Responses
200— OK
POST/api/channels/{channelId}/meta-catalog/sync
Required scope: meta_catalog.write
| Parameter | In | Required |
|---|---|---|
channelId | path | yes |
Request body
| Field | Type | Required | Constraints |
|---|---|---|---|
sourceAiAgentId | string | yes | min 1 |
bash
curl -X POST "https://api.zapyflow.com.br/api/channels/{channelId}/meta-catalog/sync" \
-H "Authorization: Bearer $ZAPYFLOW_API_KEY" \
-H "Content-Type: application/json" \
-d '{ ... }'Responses
202— Accepted — queued, not finished
GET/api/meta-catalog-syncs/{id}
Required scope: meta_catalog.read
| Parameter | In | Required |
|---|---|---|
id | path | yes |
bash
curl "https://api.zapyflow.com.br/api/meta-catalog-syncs/{id}" \
-H "Authorization: Bearer $ZAPYFLOW_API_KEY"Responses
200— OK
POST/api/meta-catalog-syncs/{id}/retry
Required scope: meta_catalog.write
| Parameter | In | Required |
|---|---|---|
id | path | yes |
bash
curl -X POST "https://api.zapyflow.com.br/api/meta-catalog-syncs/{id}/retry" \
-H "Authorization: Bearer $ZAPYFLOW_API_KEY"Responses
200— OK
GET/api/meta-catalogs
Required scope: meta_catalog.read
| Parameter | In | Required |
|---|---|---|
channelId | query | yes |
bash
curl "https://api.zapyflow.com.br/api/meta-catalogs?channelId=..." \
-H "Authorization: Bearer $ZAPYFLOW_API_KEY"Responses
200— OK
GET/api/meta-catalogs/products
Required scope: meta_catalog.read
| Parameter | In | Required |
|---|---|---|
channelId | query | yes |
sourceAiAgentId | query | yes |
search | query | no |
page | query | no |
limit | query | no |
bash
curl "https://api.zapyflow.com.br/api/meta-catalogs/products?channelId=...&sourceAiAgentId=..." \
-H "Authorization: Bearer $ZAPYFLOW_API_KEY"Responses
200— OK404— Not found — also returned when the resource belongs to another workspace